Bug 102592 - Cannot unpublish content after postgres upgrade
Cannot unpublish content after postgres upgrade
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 102007
  Show dependency treegraph
 
Reported: 2003-08-18 10:23 EDT by Jon Orris
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-08-18 10:23:23 EDT
Description of problem:
Only appears on postgres.

To reproduce: 
Publish an article under 5.2.1
upgrade
Try to unpublish.

5.2.1 dump at ccm-installer:/tmp/onearticle.dmp

An unexpected error has occurred. If this continues to be a problem for you
please contact the administrators of the site quoting the following:

CCM issue report code: 172.16.64.110:3ef72abc:f7152ec52e

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.110:3ef72abc:f7152ec52e -*-*-*-
-*-*-*- Message:  (root cause: ERROR:  cms_version_map_version_id_fk referential
integrity violation - key in cms_items still referenced from cms_version_map
) -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
accept-charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
accept-encoding: gzip,deflate
accept-language: en-us,en;q=0.8,fr;q=0.6,de;q=0.4,nl;q=0.2
connection: keep-alive
cookie: JSESSIONID=980780662482DE39CE4E5D341FE14ADF;
ad_user_login=1075!1155819619359!2U3QJKeHz09Bm1HIe76GqQ==
host: ccm-installer.boston.redhat.com:8000
keep-alive: 300
referer:
http://ccm-installer.boston.redhat.com:8000/ccm/articles/admin/item.jsp?bbp.2536.d=asc&bbp.1428.sel=16001&bbp.133.sel=15006&bbp.2331.sel=15001&bbp.1223.sel=7041&bbp.1301.sel=14005&item_id=3014&bbp.1116.sel=17001&bbp.2830.d=asc&g11n.enc=ISO-8859-1&bbp.1567.sel=14001&bbp.1699.sel=14009&bbp.490.sel=15010&bbp.v=4&bbp.s=3&bbp.i=d0.4.2.a.1.2r.1.3o.1.66.1.e0.1.3e.1.2z.1.23.1.3i.1.3u.1.3m.1.e8.1.3a.1&bbp.e=select&bbp.2211.sel=13002&bbp.3.pane=1&bbp.32.sel=13006&bbp.2843.d=asc&bbp.994.sel=17004&bbp.267.sel=16005&g11n.enc=ISO-8859-1
user-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: 980780662482DE39CE4E5D341FE14ADF (expires: -1)
ad_user_login: 1075!1155819619359!2U3QJKeHz09Bm1HIe76GqQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.PersistenceException:  (root cause:
com.redhat.persistence.engine.rdbms.RDBMSEngine$2: ERROR: 
cms_version_map_version_id_fk referential integrity violation - key in cms_items
still referenced from cms_version_map
)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:137)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:458)
	at com.arsdigita.cms.ContentBundle.getInstance(ContentBundle.java:265)
	at com.arsdigita.cms.ContentBundle.getPrimaryInstance(ContentBundle.java:225)
	at com.arsdigita.cms.ContentBundle.beforeSave(ContentBundle.java:483)
	at com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java:611)
	at com.arsdigita.persistence.BeforeSaveEvent.doInvoke(DataEvent.java:169)
	at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java(Compiled Code))
	at
com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at com.redhat.persistence.Session.flushInternal(Session.java(Compiled Code))
	at com.redhat.persistence.Session.flush(Session.java:497)
	at com.arsdigita.persistence.DataObjectImpl.delete(DataObjectImpl.java:356)
	at com.arsdigita.domain.DomainObject.delete(DomainObject.java:324)
	at com.arsdigita.cms.ContentItem.setLive(ContentItem.java:1110)
	at com.arsdigita.cms.ContentItem.unpublish(ContentItem.java:1207)
	at
com.arsdigita.cms.ui.lifecycle.ItemLifecycleItemPane$UnpublishLink$Listener.actionPerformed(ItemLifecycleItemPane.java:126)
	at com.arsdigita.bebop.ControlLink.fireActionEvent(ControlLink.java:145)
	at com.arsdigita.bebop.ControlLink.respond(ControlLink.java:154)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at org.apache.jsp.item$jsp._jspService(item$jsp.java:100)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:107)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
org.apache.jasper.servlet.JspServlet$JspServletWrapper.service(JspServlet.java:201)
	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:381)
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:473)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:683)
	at
org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:431)
	at
org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:355)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:196)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:683)
	at
org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:431)
	at
org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:355)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:247)
	at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:193)
	at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:243)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:190)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at org.apache.catalina.core.StandardContext.invoke(StandardContext.java:2347)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:180)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at
org.apache.catalina.valves.ErrorDispatcherValve.invoke(ErrorDispatcherValve.java:170)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:170)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
	at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:468)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:174)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at
org.apache.catalina.connector.http.HttpProcessor.process(HttpProcessor.java:1027)
	at org.apache.catalina.connector.http.HttpProcessor.run(HttpProcessor.java:1125)
	at java.lang.Thread.run(Thread.java:512)
Root cause: 
com.redhat.persistence.engine.rdbms.RDBMSEngine$2: ERROR: 
cms_version_map_version_id_fk referential integrity violation - key in cms_items
still referenced from cms_version_map

	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Compiled
Code))
	at com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:394)
	at com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java:361)
	at com.redhat.persistence.Session.flushInternal(Session.java(Compiled Code))
	at com.redhat.persistence.Session.flush(Session.java:497)
	at com.redhat.persistence.Cursor.next(Cursor.java:108)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:456)
	at com.arsdigita.cms.ContentBundle.getInstance(ContentBundle.java:265)
	at com.arsdigita.cms.ContentBundle.getPrimaryInstance(ContentBundle.java:225)
	at com.arsdigita.cms.ContentBundle.beforeSave(ContentBundle.java:483)
	at com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java:611)
	at com.arsdigita.persistence.BeforeSaveEvent.doInvoke(DataEvent.java:169)
	at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java(Compiled Code))
	at
com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at com.redhat.persistence.Session.flushInternal(Session.java(Compiled Code))
	at com.redhat.persistence.Session.flush(Session.java:497)
	at com.arsdigita.persistence.DataObjectImpl.delete(DataObjectImpl.java:356)
	at com.arsdigita.domain.DomainObject.delete(DomainObject.java:324)
	at com.arsdigita.cms.ContentItem.setLive(ContentItem.java:1110)
	at com.arsdigita.cms.ContentItem.unpublish(ContentItem.java:1207)
	at
com.arsdigita.cms.ui.lifecycle.ItemLifecycleItemPane$UnpublishLink$Listener.actionPerformed(ItemLifecycleItemPane.java:126)
	at com.arsdigita.bebop.ControlLink.fireActionEvent(ControlLink.java:145)
	at com.arsdigita.bebop.ControlLink.respond(ControlLink.java:154)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at org.apache.jsp.item$jsp._jspService(item$jsp.java:100)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:107)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
org.apache.jasper.servlet.JspServlet$JspServletWrapper.service(JspServlet.java:201)
	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:381)
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:473)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:683)
	at
org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:431)
	at
org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:355)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:196)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:683)
	at
org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:431)
	at
org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:355)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:247)
	at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:193)
	at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:243)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:190)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at org.apache.catalina.core.StandardContext.invoke(StandardContext.java:2347)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:180)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at
org.apache.catalina.valves.ErrorDispatcherValve.invoke(ErrorDispatcherValve.java:170)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:170)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
	at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:468)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:174)
	at org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
	at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
	at
org.apache.catalina.connector.http.HttpProcessor.process(HttpProcessor.java:1027)
	at org.apache.catalina.connector.http.HttpProcessor.run(HttpProcessor.java:1125)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/item.jsp
Query string:
bbp.2536.d=asc&bbp.1428.sel=16001&bbp.133.sel=15006&bbp.2331.sel=15001&bbp.1223.sel=7041&bbp.1301.sel=14005&item_id=3014&bbp.1116.sel=17001&bbp.2830.d=asc&g11n.enc=ISO-8859-1&bbp.1567.sel=14001&bbp.1699.sel=14009&bbp.490.sel=15010&bbp.s=2750&bbp.i=d0.4.1.3.1.7.1.2r.1.3o.1.66.1.e0.1.3e.1.2z.1.23.1.3i.1.3u.1.3m.1.e8.1.3a.1.bu.1.4.1&bbp.2211.sel=13002&bbp.3.pane=4&bbp.32.sel=13006&bbp.2843.d=asc&bbp.994.sel=17004&bbp.8.stack=2740&bbp.267.sel=16005&g11n.enc=ISO-8859-1
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
catalina.base: /usr/share/tomcat
catalina.home: /usr/share/tomcat
catalina.useNaming: true
file.encoding: ANSI_X3.4-1968
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/opt/IBMJava2-131/lib/tools.jar:/var/www/ccm-core/dist/WEB-INF/lib/jaas.jar:/var/www/ccm-core/dist/WEB-INF/lib/jce.jar:/var/www/ccm-core/dist/WEB-INF/lib/sunjce_provider.jar:/var/www/ccm-core/dist/WEB-INF/lib/xerces.jar:/var/www/ccm-core/dist/WEB-INF/lib/xalan.jar:/opt/oracle/product/jdbc/lib/classes12.zip:/usr/share/tomcat/bin/bootstrap.jar:/opt/IBMJava2-131/lib/tools.jar
java.class.version: 46.0
java.compiler: jitc
java.endorsed.dirs: /usr/share/tomcat/bin:/usr/share/tomcat/common/lib
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020622 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/oracle/product/lib:/lib:/usr/lib:/usr/local/lib:/usr/lib
java.naming.factory.initial: org.apache.naming.java.javaURLContextFactory
java.naming.factory.url.pkgs: org.apache.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020622 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.9-e.16
path.separator: :
PreferredXSLTTransformer: SAXON
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /var/www
user.home: /var/www
user.language: en
user.name: servlet
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Dennis Gregorovic 2003-08-18 17:40:23 EDT
additional fixes @ 34918
Comment 2 Dennis Gregorovic 2005-03-17 11:38:35 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.